## Dependency: WebKit SVN 29723+
## This is the EVR for its sufficient Fedora package.
%global	webkit_min_version	1.0.0-0.8.svn31787

Name:		midori
Version:	0.0.17
Release:	3%{?dist}
Summary:	A lightweight GTK+ web browser 

Group:		Applications/Internet
License:	LGPLv2.1+
URL:		http://software.twotoasts.de/?page=midori

Source0:	http://software.twotoasts.de/media/%{name}/%{name}-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	WebKit-gtk-devel >= %{webkit_min_version}  
BuildRequires:	libsexy-devel
BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	desktop-file-utils

Requires:	WebKit-gtk >= %{webkit_min_version}

%description
Midori is a lightweight web browser, and has many features expected of a
modern browser, including:
* Full integration with GTK+2.
* Fast rendering with WebKit.
* Tabs, windows and session management.
* Bookmarks are stored with XBEL.
* Searchbox based on OpenSearch.
* Custom context menu actions.
* User scripts and user styles support.
* Extensible via Lua scripts.

The project is currently in an early alpha state. The features are still being
implemented, and some are still quite incomplete.

%prep
%setup -q
chmod a-x src/main.c
## Fixes for transition from qmake- to autotools-based WebKit GTK+ build.
sed -i -e 's!WebKitGtk!webkit-1.0!g' configure*
grep '<webkit.h>' -r . --files-with-matches	\
	| xargs -n 1 sed -i -e 's!<webkit\.h>!<webkit\/webkit.h>!g'


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
desktop-file-install					\
	--vendor fedora					\
	--delete-original				\
	--dir %{buildroot}%{_datadir}/applications	\
	%{buildroot}%{_datadir}/applications/%{name}.desktop


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/midori
%{_datadir}/applications/fedora-%{name}.desktop


%changelog
* Sat Apr 12 2008 Peter Gordon <peter@thecodergeek.com> - 0.0.17-3
- Rebuild for updated WebKit library so-name and include directory.

* Mon Mar 03 2008 Peter Gordon <peter@thecodergeek.com> - 0.0.17-2
- Cleanups from review (bug 435661):
  (1) Fix consistency of tabs/spaces usage.
  (2) Fix source permissions.
  (3) Add desktop-file-utils build dependency.

* Sun Mar 02 2008 Peter Gordon <peter@thecodergeek.com> - 0.0.17-1
- Initial packaging for Fedora.